Probleme mit PHP 5.4 bei 1und1

17.03.2013 09:45
#1
tschaenzel
Joomshopping forum user no avatar
Name: Jens Najewitz
29.09.2010
Posts: 27
Quote
Probleme mit PHP 5.4 bei 1und1

1und1 hat ja die Umstellung auf PHP 5.4 angekündigt.
Ich habe Joomal 2.5.9 auf dem neuesten Stand. Joomshopping ist in der Version 3.14 installiert.
Die Felermeldungen in der Joomlo-Konfiguration habe ich auf einfach gestellt.

Ich habe nun die globale PHP-Version bei 1und1 auf 5.4 umgestellt.

Innerhalb der Joomshopping-Fenster kommen nun Fehlermeldungen. Wäre natürlich sehr fatal wenn man das zur Umstellung bei 1und1 nicht in den Griff bekommt.
Probleme mit PHP 5.4 bei 1und1


Joomla: 2.5.9.
JoomShopping: 3.14.0
PHP: 5.4.12
 
17.03.2013 16:49
#2
arcpixx.de
User arcpixx.de
Name: arcpixx
21.01.2012
Posts: 92
Quote
Aw: Probleme mit PHP 5.4 bei 1und1

Hi,

schau mal hier: http://www.webdesigner-profi.de/joomla-webdesign/joomla-shop/forum/posts/1/4751.html?lang=en

In meinem Beitrag an erster Stelle hatte ich geschrieben, wie ich die Fehlermeldungen abschalten konnte (ich hatte genau das selbe Problem, wie Du!).

 
17.03.2013 17:39
#3
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16514
Quote
Aw: Probleme mit PHP 5.4 bei 1und1

Install new version module

or

delete row error_reporting(...)

modules\...

 
18.03.2013 11:15
#4
tschaenzel
Joomshopping forum user no avatar
Name: Jens Najewitz
29.09.2010
Posts: 27
Quote
Aw: Probleme mit PHP 5.4 bei 1und1

webdesigner - 17.03.2013 17:39
Install new version module


I installed all modules new. Nothing happens.
Also deleting the row as in other threat described did not take effect.


Letzte Änderung: 18.03.2013 11:38
 
18.03.2013 11:17
#5
tschaenzel
Joomshopping forum user no avatar
Name: Jens Najewitz
29.09.2010
Posts: 27
Quote
Aw: Probleme mit PHP 5.4 bei 1und1

arcpixx.de - 17.03.2013 16:49
In meinem Beitrag an erster Stelle hatte ich geschrieben, wie ich die Fehlermeldungen abschalten konnte (ich hatte genau das selbe Problem, wie Du!).


Danke, werde das mal probieren, wenn ich nicht weiterkomme, frag ich nochmal.
Es kann ja aber nicht Sinn der Sache sein, Fehlermeldungen abzuschalten. Ist ja genau so, als ignoriere ich ein rotes Lämpchen im Arnaturenbrett des Autos ;-))

Hab nochmal geschaut
components/com_jshopping/jshopping.php
components/com_jshopping/router.php
administrator/components/com_jshopping/admin.jshopping.php

Letztere Datei habe ich garnicht ..?
Aw: Probleme mit PHP 5.4 bei 1und1


Letzte Änderung: 18.03.2013 11:24
 
18.03.2013 11:27
#6
tschaenzel
Joomshopping forum user no avatar
Name: Jens Najewitz
29.09.2010
Posts: 27
Quote
Aw: Probleme mit PHP 5.4 bei 1und1

Habe jetzt einmal

error_reporting(0);

in die PHP Dateien eingetragen. Muss ich da noch Sonderzeichen setzen, oder es an ein bestimmte
Stelle schreiben?

Die Fehlermeldungen kommen nämlich immer noch.
Schalte jetzt erstmal wieder auf 5.2 zurück.


Letzte Änderung: 18.03.2013 11:28
 
18.03.2013 12:23
#7
tschaenzel
Joomshopping forum user no avatar
Name: Jens Najewitz
29.09.2010
Posts: 27
Quote
Aw: Probleme mit PHP 5.4 bei 1und1

Hallo,

habe nochmal alle Module-Dateien durchgesehen. Da ist mir wohl die Löschung einer error reporting Zeile durch die Lappen gegangen.

Scheint jetzt zu funktionieren. Vielen Dank für die Hilfe !!

Dennoch sollte es wohl noch Fixes dazu geben, damit es dann auf PHP 5.4 rund läuft.

 
18.03.2013 18:27
#8
arcpixx.de
User arcpixx.de
Name: arcpixx
21.01.2012
Posts: 92
Quote
Aw: Probleme mit PHP 5.4 bei 1und1

Hey,

schön, dass wenigstens deine Fehlermeldungen weg sind! Das ist für mich erstmal das Wichtigste gewesen, als ich auf PHP 5.4 umgestellt habe (als die ganzen Fehlermeldungen da erschienen, hab ich echt nen Riesenschreck bekommen).

 
18.03.2013 20:34
#9
tschaenzel
Joomshopping forum user no avatar
Name: Jens Najewitz
29.09.2010
Posts: 27
Quote
Aw: Probleme mit PHP 5.4 bei 1und1

Ja, danke nochmal.
Das ganze Umkloppen von Joomla 1.X auf 2.5 war schon ein wenig Arbeit, weil man ja wusste, das 1und1 umstellt.
Na und dann spackt Joomshopping. Gut das man es wenigstens so erstmal lauffähig halten kann.

 
Copyrights MAXXmarketing GmbH. All Rights Reserved